Opened 9 years ago

Closed 9 years ago

#31297 closed defect (invalid)

qucs cannot be installed when qt4-mac is installed

Reported by: jurgen.defurne@… Owned by: macports-tickets@…
Priority: Low Milestone:
Component: ports Version: 2.0.3
Keywords: Cc:
Port:

Description

I tried installing qucs, and first did what ticket #27520 recommended regarding iverilog.

I keep it terse and just report what MacPorts reports :

sudo port install qucs
Password:
--->  Computing dependencies for qucs
Error: Unable to execute port: Can't install qt3-mac because conflicting ports are installed: qt4-mac
To report a bug, see <http://guide.macports.org/#project.tickets>

I could uninstall qt4-mac by uninstalling qtoctave-mac and py26-pyqt4, because I do not really need them, but other people might have similar problems.

Change History (2)

comment:1 Changed 9 years ago by ryandesign (Ryan Schmidt)

There's no bug here; you've merely discovered that qucs requires qt3-mac, and qt3-mac and qt4-mac are mutually exclusive in MacPorts.

comment:2 Changed 9 years ago by mf2k (Frank Schima)

Resolution: invalid
Status: newclosed
Note: See TracTickets for help on using tickets.